import request from '@/utils/request'

// 查询核酸检测结果列表
export function listRnsResult(query) {
  return request({
    url: '/yiqing/rnsResult/list',
    method: 'get',
    params: query
  })
}

// 查询核酸检测结果详细
export function getRnsResult(id) {
  return request({
    url: '/yiqing/rnsResult/' + id,
    method: 'get'
  })
}

// 新增核酸检测结果
export function addRnsResult(data) {
  return request({
    url: '/yiqing/rnsResult',
    method: 'post',
    data: data
  })
}

// 修改核酸检测结果
export function updateRnsResult(data) {
  return request({
    url: '/yiqing/rnsResult',
    method: 'put',
    data: data
  })
}

// 删除核酸检测结果
export function delRnsResult(id) {
  return request({
    url: '/yiqing/rnsResult/' + id,
    method: 'delete'
  })
}

// 导出核酸检测结果
export function exportRnsResult(query) {
  return request({
    url: '/yiqing/rnsResult/export',
    method: 'get',
    params: query
  })
}
// 导入核酸检测结果模板
export function importTemplate(query) {
  return request({
    url: '/yiqing/rnsResult/importTemplate',
    method: 'get',
    params: query
  })
}
